CRAN Package Check Results for Package datasailr

Last updated on 2021-11-01 00:49:35 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.8.9 86.26 32.75 119.01 WARN
r-devel-linux-x86_64-debian-gcc 0.8.9 64.98 26.30 91.28 WARN
r-devel-linux-x86_64-fedora-clang 0.8.9 186.06 WARN
r-devel-linux-x86_64-fedora-gcc 0.8.9 162.29 WARN
r-devel-windows-x86_64 0.8.9 79.00 65.00 144.00 NOTE
r-devel-windows-x86_64-gcc10-UCRT 0.8.9 NOTE
r-patched-linux-x86_64 0.8.9 72.56 32.51 105.07 WARN
r-patched-solaris-x86 0.8.9 153.60 NOTE
r-release-linux-x86_64 0.8.9 76.76 32.69 109.45 WARN
r-release-macos-arm64 0.8.9 NOTE
r-release-macos-x86_64 0.8.9 NOTE
r-release-windows-ix86+x86_64 0.8.9 114.00 67.00 181.00 NOTE
r-oldrel-macos-x86_64 0.8.9 NOTE
r-oldrel-windows-ix86+x86_64 0.8.9 116.00 76.00 192.00 NOTE

Check Details

Version: 0.8.9
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:98: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:98: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:98: the top level
     configure.ac:108: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:108: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:108: the top level
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-release-linux-x86_64

Version: 0.8.9
Check: for GNU extensions in Makefiles
Result: NOTE
    GNU make is a SystemRequirements.
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-x86_64, r-devel-windows-x86_64-gcc10-UCRT, r-patched-linux-x86_64, r-patched-solaris-x86, r-release-linux-x86_64, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 0.8.9
Check: top-level files
Result: WARN
     Output from running autoreconf:
     configure.ac:98: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:98: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:98: the top level
     configure.ac:108: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:108: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:108: the top level
     configure.ac:98: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:98: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:98: the top level
     configure.ac:108: warning: The macro `AC_HELP_STRING' is obsolete.
     configure.ac:108: You should run autoupdate.
     ./lib/autoconf/general.m4:204: AC_HELP_STRING is expanded from...
     configure.ac:108: the top level
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 0.8.9
Check: compilation flags used
Result: NOTE
    Compilation used the following non-portable flag(s):
     ‘-Werror=implicit-function-declaration)’
Flavor: r-devel-linux-x86_64-fedora-gcc

Version: 0.8.9
Check: installed package size
Result: NOTE
     installed size is 5.7Mb
     sub-directories of 1Mb or more:
     libs 5.2Mb
Flavors: r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64